package org.rti.rcp.tomcat;

import org.eclipse.swt.graphics.Point;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

public class ApplicationWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {

    public ApplicationWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
        super(configurer);
    }

    public ActionBarAdvisor createActionBarAdvisor(IActionBarConfigurer configurer) {
        return new ApplicationActionBarAdvisor(configurer);
    }

    public void preWindowOpen() {
        IWorkbenchWindowConfigurer configurer = getWindowConfigurer();
        configurer.setInitialSize(new Point(1200, 800));
		configurer.setShowCoolBar(false);
		configurer.setShowStatusLine(true);
    }

/*    public void postWindowCreate()
    {
    	IContributionItem[] mItems, mSubItems;
    	IMenuManager mm = getWindowConfigurer ().getActionBarConfigurer ().getMenuManager ();
    	mItems = mm.getItems ();
    	for (int i = 0; i < mItems.length; i++)
    	{
    		if (mItems[i] instanceof MenuManager)
    		{
    			mSubItems = ((MenuManager) mItems[i]).getItems ();
    			for (int j = 0; j < mSubItems.length; j++)
    			{
    				if (mItems[i].getId ().equals ("file"))
    					((MenuManager) mItems[i]).remove ("org.eclipse.ui.openLocalFile");
    				else if (mItems[i].getId ().equals ("help"))
    				{
    					((MenuManager) mItems[i]).remove ("group.updates");
    					((MenuManager) mItems[i]).remove ("org.eclipse.update.ui.updateMenu");
    					((MenuManager) mItems[i]).remove ("org.eclipse.ui.actions.showKeyAssistHandler");
    				}
    			}
    		}
    	}
    }*/
}
